Modifying image file contents with Ghost Explorer

This section includes the following topics:

  • Using Ghost Explorer

  • Viewing image files and their properties

  • Launching a file

  • Extracting a file or directory from an image file

  • Modifying image files

  • Listing the contents of an image file

  • About image file spans

  • Setting the default split options

  • Compiling an image file

  • Using Ghost Explorer from the command line


Using Ghost Explorer

The Ghost Explorer utility lets you view, alter, add, and extract files from a Ghost image (.gho) file.

Note:

You cannot open VMWare Disk image (.vmdk) files with Ghost Explorer.

Using Ghost Explorer, you can do the following:

  • View image file contents and save a list of files within an image file.

  • Extract files or directories from an image file.

  • Add, move, copy, delete, and launch files from and within an image file.

  • Use drag-and-drop or cut-and-paste functionality to add files and directories from Windows Explorer to the image file.

  • Set span sizes.

  • Add a description to an image file.

  • Compile an image file to improve restore performance.

Ghost Explorer supports the following partition types:

  • FAT12

  • FAT16

  • FAT32

  • NTFS

  • Linux Ext2/3

To open Ghost Explorer

  • On the Windows taskbar, click Start > All Programs > Symantec Ghost > Ghost Explorer.

To access a list of file commands

  • Right-click a file or directory in Ghost Explorer to access a list of file commands.


Viewing image files and their properties

You can view the contents of an image file, including details of the partitions, directories, and files. You can also view the image file properties.

If the image file contains NTFS partitions that are stored on a CD you might receive frequent prompts to swap CDs when you try to view the image file. To avoid this problem, copy the spans from the CD onto a hard disk and then view the image file on the hard disk.

To view an image file and the properties

  1. Open Ghost Explorer.

  2. On the File menu, click Open.

  3. Select an image file.

  4. Click Open.

  5. On the File menu, click Properties to view the image file properties.

More Information

“To open Ghost Explorer”


Launching a file

Ghost Explorer restores a file to a temporary directory and attempts to open it. If the file is an executable program, it is run. If it is a data file and there is an application installed and associated with this file type, the application opens with the data file.

If you try to launch an application that depends on other files within the image file, it will probably fail. Ghost Explorer does not determine what dependencies exist. Extract the required files and then run the application file.

To launch a file

  1. In Ghost Explorer, in the right pane, select a file.

  2. On the File menu, click Launch.


Extracting a file or directory from an image file

You can extract a file or directory directly from an image file using Ghost Explorer. This does not delete the original file, but copies it to a new location.

Note:

You can also use a drag-and-drop operation to move a file from Ghost Explorer to Windows Explorer to extract it.

To extract a file or directory from an image file

  1. In Ghost Explorer, open the image file.

  2. Select the file or directory to be extracted.

  3. On the File menu, click Extract.

  4. In the Extract To dialog box, select the location to which you want to extract the file or directory.

  5. Click Extract to save the file or directory to the chosen location.


Modifying image files

Whether you can add, delete, or view an image file, or move files within an image file, depends on the version of Symantec Ghost that was used to create the image file. You can check the version of Symantec Ghost used to create your image file in the image file properties. Ghost Explorer cannot open a file created with a version of Symantec Ghost earlier than 3.0.

You can use Ghost Explorer to add files or directories from Windows Explorer to any image file that was created in Symantec Ghost version 6.0 or later. You can also delete files from any image file that was created in Symantec Ghost 5.1d or later. If you add a file or directory to an image file the original span split is preserved.

Ghost Explorer supports Windows cut-and-paste operations within image files. For example, you can copy, paste, move, delete, and add files to images. You can also use a drag-and-drop operation to move files from Windows Explorer to Ghost Explorer.

To avoid problems, you should avoid making the following types of changes to an image file:

  • Ghost Explorer prevents you from adding files to the root folder of Linux Ext2/3 partitions. If you add files, the new files are not visible when you restore the image, and the e2fsck tool reports errors.

  • Do not add files to the root folder of a Ghost boot-partition image that contains PC DOS. A computer that is cloned from this image does not start.

Warning:

If you use Ghost Explorer to add files to an image file, there may be some performance degradation when you restore the file using GhostCasting. Ghost Explorer calculates whether compilation is recommended. If it is, you can compile the file to improve performance.

More Information

Viewing image files and their properties

Compiling an image file


Listing the contents of an image file

You can create a text file that contains a list of the directories and their details (and, optionally, files) that are in the current image file. You can store this file with the image file to keep an easily accessible list of the image file contents.

To list the contents of an image file

  1. In Ghost Explorer, open the image file.

  2. On the File menu, click List Contents.

  3. Click one of the following:

    Directories Only

    List the directories only

    Include Files

    List the directories and the files

    Include Details

    List directories, files, and file details

  4. Select a directory to which to save the text file.

  5. Type a file name.

  6. Click Save.


About image file spans

You can split an existing image file into smaller spans. This function is useful if, for example, you need to split a file into two or more files that can then be saved onto a CD/DVD drive that is unsupported by Symantec Ghost. After you split an image file you must compile it.

Note:

If the CD/DVD drive is supported by Symantec Ghost, then as you create the image file you can save the image file directly to the CD/DVD.

More Information

Compiling an image file


Setting the default split options

Once this option is set, it becomes the default for all regenerated files.

To set the default split options

  1. In Ghost Explorer, on the View menu, click Options.

  2. In the Options dialog box, check Span Image.

  3. In the Split point (MB) box, type the required size.

    If you are splitting the file to save onto CD, then set the size to 600 MB.

  4. If you want Ghost Explorer to choose a default name for additional span files that it creates, click Autoname Spans.

  5. Click OK.


Compiling an image file

If you add or delete files from an image file, the image file becomes fragmented. Symantec Ghost takes longer to restore a fragmented image than a compiled file. You can improve the performance of a restore by compiling a file before you restore it. When you compile a file, the file is defragmented. If you want to split an existing image, then you must compile it to span the image file.

You can check the properties of the image file to determine whether compilation is recommended.

To compile an image file

  1. On the File menu, click Compile.

  2. If you want to span the image file, in the Save As dialog box, check Span Image, and then in the Split point (MB) box, type the required size.

    If you are splitting the file to save it on a CD, then set the size to 600 MB.

  3. If you want Ghost Explorer to choose a default name for any additional span files that it creates, click Autoname Spans.

  4. In the File name box, type a name and a location for the first new file.

    If you are splitting a file, all of the new files that are created are saved in the same location. You should use a different name than the original image file to avoid confusion.

  5. Click Save.

  6. If you are splitting the file, click OK each time that you are prompted to create a new span segment.


Using Ghost Explorer from the command line

You can start Ghost Explorer from a command prompt by typing its path and file name.

To start Ghost Explorer from a command prompt

  1. On the Windows taskbar, click Start > Programs > Accessories > Command Prompt.

  2. Type:

    c:\Program Files\Symantec\Ghost\Ghostexp

    This is the default path to Ghost Explorer.

  3. Press Enter.

Ghost Explorer has a batch mode in which it carries out a single command and then exits. In this version, batch mode supports the saving of the contents to a text file only.

Table: Batch mode switches specifies the switches to use the batch mode.

Table: Batch mode switches

Switch | Description
-t | Saves the list of directories in the dump file to a file with the same name as the image file but with an extension of .txt
-tf=filename | Saves a list of directories and files to filename
-tv | Saves a verbose listing of directories and files
-tv=filename | Saves a verbose list of directories and files to the file specified

If Ghost Explorer reports that a spanned or split image is corrupt without prompting for the second part of the image, it may not recognize that the image is split. Starting with the -split argument forces Ghost Explorer to treat an image as a split image.

More Information

Listing the contents of an image file


Using Ghost Explorer with long file names

The image index created by versions of Symantec Ghost prior to 5.1c did not handle long file names containing double-byte characters correctly, such as file names in Asian or Eastern European languages. Ghost Explorer may be able to show these names properly by reading them directly from the image file instead of from the index. However, the restoring of the image is much slower. Use the switch -ignoreindex to force this behavior. You must have the correct char set loaded.

To set the correct char set

  1. On the Windows taskbar, click Start > Settings > Control Panel.

  2. Double-click Regional Options.

  3. Select the required language option, and then click OK.


Ghost Explorer context-sensitive topics

This section includes the following topics:

  • Modifying image file contents with Ghost Explorer

  • List Contents In

  • Options

  • Extract to

  • Properties

  • Compile


Symantec Ghost Explorer Help

  • Modifying image file contents with Ghost Explorer


Compile

This dialog box lets you compile an image file. You can enter the new location and name for the compiled image file and set the options for compiling an image file. Compiling a file defragments it, which improves performance during the restore. After splitting an image file it must be compiled. When compiling the file you can set options to split it.

Table: Compile options lists the available settings on this window.

Table: Compile options

Settings | Description
Span Image | Select to span image when compiling.
Autoname spans | Select to automatically name any additional span files that are created.
Split point (MB) | Set the size of each span so that when you add files or directories each span file does not become bigger than the specified size.
File name | The name and location of the compiled image file.


List Contents In

This window lets you save a text file that contains a list of the directories (and, optionally, files and their details) that are in the current image file.

Table: List Contents settings lists the available settings on this window.

Table: List Contents settings

Setting | Description
Directories Only | Click to save a list of the directories within the image file.
Include Files | Click to save a list of all files in the image file.
Include Details | Click to include file details.


Options

This dialog box displays the default options that you can set to split an image file into spans.

Table: Options settings lists the available settings on this window.

Table: Options settings

Setting | Description
Span Image | Sets the default to span an image when compiling.
Autoname spans | Sets the default to automatically name any additional span files that are created.
Split point (MB) | Set the default size of each span so that when you add files or directories each span file does not become bigger than the specified size.


Properties

This dialog box displays the properties associated with the image file.


Extract to

This dialog box lets you select a location to which to extract files and directories.